Update Affiliate User
curl --request PUT \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.updated@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
payload = {
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.updated@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Bob',
last_name: 'Smith',
email: 'aff.user.updated@example.com',
language_id: 1,
timezone_id: 90,
currency_id: 'USD',
account_status: 'active',
title: 'CEO',
work_phone: '1234567788',
instant_messaging_id: 0
})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Bob',
'last_name' => 'Smith',
'email' => 'aff.user.updated@example.com',
'language_id' => 1,
'timezone_id' => 90,
'currency_id' => 'USD',
'account_status' => 'active',
'title' => 'CEO',
'work_phone' => '1234567788',
'instant_messaging_id' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
payload := strings.NewReader("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}"
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"title": "<string>",
"work_phone": "<string>",
"cell_phone": "<string>",
"instant_messaging_id": 123,
"instant_messaging_identifier": "<string>",
"language_id": 123,
"timezone_id": 123,
"currency_id": "<string>",
"account_status": "active",
"relationship": {
"logins": {
"total": 123,
"entries": [
{}
]
},
"customization": {},
"audits": {
"total": 123,
"entries": [
{}
]
},
"api": {
"total": 123,
"entries": [
{}
]
},
"affiliate_account_status": "<string>"
},
"time_created": 1734455015,
"time_saved": 1734455015
}Affiliate Users
Update Affiliate User
PUT
/
networks
/
affiliates
/
{affiliateId}
/
users
/
{userId}
Update Affiliate User
curl --request PUT \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.updated@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
payload = {
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.updated@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Bob',
last_name: 'Smith',
email: 'aff.user.updated@example.com',
language_id: 1,
timezone_id: 90,
currency_id: 'USD',
account_status: 'active',
title: 'CEO',
work_phone: '1234567788',
instant_messaging_id: 0
})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Bob',
'last_name' => 'Smith',
'email' => 'aff.user.updated@example.com',
'language_id' => 1,
'timezone_id' => 90,
'currency_id' => 'USD',
'account_status' => 'active',
'title' => 'CEO',
'work_phone' => '1234567788',
'instant_messaging_id' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
payload := strings.NewReader("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.updated@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}"
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 123,
"network_id": 123,
"network_affiliate_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"title": "<string>",
"work_phone": "<string>",
"cell_phone": "<string>",
"instant_messaging_id": 123,
"instant_messaging_identifier": "<string>",
"language_id": 123,
"timezone_id": 123,
"currency_id": "<string>",
"account_status": "active",
"relationship": {
"logins": {
"total": 123,
"entries": [
{}
]
},
"customization": {},
"audits": {
"total": 123,
"entries": [
{}
]
},
"api": {
"total": 123,
"entries": [
{}
]
},
"affiliate_account_status": "<string>"
},
"time_created": 1734455015,
"time_saved": 1734455015
}Update an existing affiliate user. You must specify all fields, not only the ones you wish to update. If you omit a field that is not marked as required, its default value will be used.
Authorizations
Path Parameters
Body
application/json
The affiliate user's timezone ID. Can be found using the metadata API.
The affiliate user's currency ID. Can be found using the metadata API.
Response
Was this page helpful?
